GNU bug report logs - #49983
grep-3.6.27-20b4 tests fail on Cygwin

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: grep; Severity: minor; Reported by: Gary Johnson <garyjohn@HIDDEN>; merged with #27555, #51698; Done: Paul Eggert <eggert@HIDDEN>; Maintainer for grep is bug-grep@HIDDEN.
Removed tag(s) moreinfo. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27555 49983 51698. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 14 Aug 2021 10:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 14 06:48:26 2021
Received: from localhost ([127.0.0.1]:43653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mErDG-00059c-Ho
	for submit <at> debbugs.gnu.org; Sat, 14 Aug 2021 06:48:26 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:39932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meyering@HIDDEN>) id 1mErDE-00059L-Tg
 for 49983 <at> debbugs.gnu.org; Sat, 14 Aug 2021 06:48:25 -0400
Received: by mail-wr1-f43.google.com with SMTP id q6so5195720wrv.6
 for <49983 <at> debbugs.gnu.org>; Sat, 14 Aug 2021 03:48:24 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=knmkP1qyljCQoq9i8R5jdhHEKT5/RebM+0P374f5vmM=;
 b=MX/yUGzVin9P6vcl5EEoBUNRY/yQchkGYlp5ohHtEfJddtcAQC0h4Op3IK9HTyZgxB
 EM0Mo/9uwhPCU5eOiy27h6n57oUjrqeidB3BvXPtFzrH4AExvYojhmq5WytnJxTAFDZ/
 gavFbjEZHPM9MeiHfilJAcdAxKsSePZqgKz8hIB1CyI8MEztVg/uZCbm1Y663+tJnszR
 xWiYOOseCkc5tWQvKfx3t7K+iGKRsfl3qNIfqTQHBkGm+iOEyQT0jfgbBlwymX4DU9c6
 bcTQi6wRurhuRagDX9oNV4FZfoiTM3oldZZU6gJXN/QaIOkN8zQLAb04KNuEWdN64r3P
 vl9w==
X-Gm-Message-State: AOAM531Ql/lsYMnWor2+/HseGWXgaKgYPro1BBxxWk4Z5GLuK9fiTmbQ
 u0KlE7JoEtejoWb3RVaa1/l2IbGEDINOmMgaMMQ=
X-Google-Smtp-Source: ABdhPJz0E/CpVisQXely7tYqh35kj23zLqgspeNUbScATUX3siN3UQzJrvOS3m9XFZR7pkN7OFuvOe9k1hHwU/TXxkA=
X-Received: by 2002:a5d:658a:: with SMTP id q10mr7928121wru.343.1628938099133; 
 Sat, 14 Aug 2021 03:48:19 -0700 (PDT)
MIME-Version: 1.0
References: <20210810155426.GA6884@phoenix>
 <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
 <20210810220920.GB6884@phoenix>
 <7d29b545-decd-2257-b704-122f38f2e566@HIDDEN>
 <20210810232145.GC6884@phoenix>
 <7f8e0a09-5df5-eab8-b87b-8a808740c82b@HIDDEN>
 <20210811072032.GA14303@phoenix>
 <4fd789cd-c801-ee68-b261-0c5eca345c74@HIDDEN>
In-Reply-To: <4fd789cd-c801-ee68-b261-0c5eca345c74@HIDDEN>
From: Jim Meyering <jim@HIDDEN>
Date: Sat, 14 Aug 2021 12:48:07 +0200
Message-ID: <CA+8g5KE+==BMvpSkn8Vga8GB0qfGHm27m9xLOMJqm1VPGumSqw@HIDDEN>
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
To: Paul Eggert <eggert@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 49983
Cc: Gary Johnson <garyjohn@HIDDEN>, 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Wed, Aug 11, 2021 at 9:36 AM Paul Eggert <eggert@HIDDEN> wrote:
>
> On 8/11/21 12:20 AM, Gary Johnson wrote:
> > The
> > main thing I'm lacking is time.
>
> I *quite* understand.
>
> Unfortunately I don't use Cygwin so can't help much on Cygwin-specific
> stuff.

Thanks for reporting and investigating.

While understanding/fixing this surrogate-pair test failure on Cygwin
would be nice, it is niche enough that it need not hold up the
release.




Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 11 Aug 2021 07:35:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 11 03:35:35 2021
Received: from localhost ([127.0.0.1]:33222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDily-00039z-Qu
	for submit <at> debbugs.gnu.org; Wed, 11 Aug 2021 03:35:34 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:44558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mDilx-00039n-EG
 for 49983 <at> debbugs.gnu.org; Wed, 11 Aug 2021 03:35:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1B4991600F1;
 Wed, 11 Aug 2021 00:35:28 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id s3kqhYf_nr6D; Wed, 11 Aug 2021 00:35:27 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 77FD31600F3;
 Wed, 11 Aug 2021 00:35:27 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id y47pmzsP4fL5; Wed, 11 Aug 2021 00:35:27 -0700 (PDT)
Received: from [192.168.1.9] (cpe-172-91-119-151.socal.res.rr.com
 [172.91.119.151])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 50D4F1600F1;
 Wed, 11 Aug 2021 00:35:27 -0700 (PDT)
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
To: Gary Johnson <garyjohn@HIDDEN>
References: <20210810155426.GA6884@phoenix>
 <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
 <20210810220920.GB6884@phoenix>
 <7d29b545-decd-2257-b704-122f38f2e566@HIDDEN>
 <20210810232145.GC6884@phoenix>
 <7f8e0a09-5df5-eab8-b87b-8a808740c82b@HIDDEN>
 <20210811072032.GA14303@phoenix>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <4fd789cd-c801-ee68-b261-0c5eca345c74@HIDDEN>
Date: Wed, 11 Aug 2021 00:35:27 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <20210811072032.GA14303@phoenix>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 49983
Cc: 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

On 8/11/21 12:20 AM, Gary Johnson wrote:
> The
> main thing I'm lacking is time.

I *quite* understand.

Unfortunately I don't use Cygwin so can't help much on Cygwin-specific 
stuff.




Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 11 Aug 2021 07:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 11 03:20:38 2021
Received: from localhost ([127.0.0.1]:33154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDiXV-0002jv-Pn
	for submit <at> debbugs.gnu.org; Wed, 11 Aug 2021 03:20:37 -0400
Received: from mail.spocom.com ([206.63.224.240]:62948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <garyjohn@HIDDEN>) id 1mDiXQ-0002jW-Ae
 for 49983 <at> debbugs.gnu.org; Wed, 11 Aug 2021 03:20:36 -0400
DomainKey-Signature: a=rsa-sha1; c=nofws; q=dns; d=spocom.com; s=mail;
 h=received:date:from:to:cc:subject:message-id:references
 :mime-version:content-type:content-disposition:in-reply-to
 :x-operating-system:user-agent;
 b=djGo5qvg94dL3jZCjvtizNP2b5MGsh0Lhn2T9niRDPrSrXHgWksCp+W/qM/Yt1hrB
 L8WLF4noN15mSRCyDhqzw==
Received: from localhost (174-31-58-209.spkn.qwest.net [174.31.58.209]) by
 mail.spocom.com with SMTP; Wed, 11 Aug 2021 00:20:04 -0700
Date: Wed, 11 Aug 2021 00:20:32 -0700
From: Gary Johnson <garyjohn@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
Message-ID: <20210811072032.GA14303@phoenix>
References: <20210810155426.GA6884@phoenix>
 <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
 <20210810220920.GB6884@phoenix>
 <7d29b545-decd-2257-b704-122f38f2e566@HIDDEN>
 <20210810232145.GC6884@phoenix>
 <7f8e0a09-5df5-eab8-b87b-8a808740c82b@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <7f8e0a09-5df5-eab8-b87b-8a808740c82b@HIDDEN>
X-Operating-System: Linux 2.6.32-74-generic GNU/Linux
User-Agent: Mutt/1.5.20 (2009-06-14)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49983
Cc: 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2021-08-10, Paul Eggert wrote:
> On 8/10/21 4:21 PM, Gary Johnson wrote:
> >$ src/grep --file=in in >out
> >$ echo $?
> >1
> >$ od -t o1 in
> >0000000 360 220 220 205 012
> >0000005
> >$ cmp in out
> >cmp: EOF on out which is empty
> 
> OK, so grep is simply not finding a match.
> 
> At this point it's probably time to fire up a debugger and see why
> grep's matchers are saying "no match". That would require some
> debugging expertise and time, though; do you have those available?

I'm familiar with gdb, but not an expert.  I've used it mostly for
debugging Vim on Linux and for debugging an embedded, bare-metal
RISC-V project.  I hacked grep once to add an option to control
whether underscore was part of a word or not, but that was a long
time ago.  I don't remember anything about grep's internals.  The
main thing I'm lacking is time.  I'm married and employed full time,
though I've managed to squeeze in some time for Vim enhancements on
weekends when it's too hot and/or smokey to work outside.  I can
take a stab at it and let you know if it's taking too much time.

Regards,
Gary





Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 11 Aug 2021 06:19:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 11 02:19:44 2021
Received: from localhost ([127.0.0.1]:33079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDhaa-0007Su-J4
	for submit <at> debbugs.gnu.org; Wed, 11 Aug 2021 02:19:44 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:39336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mDhaX-0007Se-Uk
 for 49983 <at> debbugs.gnu.org; Wed, 11 Aug 2021 02:19:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8C869160095;
 Tue, 10 Aug 2021 23:19:35 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id vRkWRcqCiLlv; Tue, 10 Aug 2021 23:19:34 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9DECD160099;
 Tue, 10 Aug 2021 23:19:34 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id PCCKxFJMA8b9; Tue, 10 Aug 2021 23:19:34 -0700 (PDT)
Received: from [192.168.1.9] (cpe-172-91-119-151.socal.res.rr.com
 [172.91.119.151])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 286E2160095;
 Tue, 10 Aug 2021 23:19:34 -0700 (PDT)
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
To: Gary Johnson <garyjohn@HIDDEN>
References: <20210810155426.GA6884@phoenix>
 <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
 <20210810220920.GB6884@phoenix>
 <7d29b545-decd-2257-b704-122f38f2e566@HIDDEN>
 <20210810232145.GC6884@phoenix>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <7f8e0a09-5df5-eab8-b87b-8a808740c82b@HIDDEN>
Date: Tue, 10 Aug 2021 23:19:33 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <20210810232145.GC6884@phoenix>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 49983
Cc: 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

On 8/10/21 4:21 PM, Gary Johnson wrote:
> $ src/grep --file=in in >out
> $ echo $?
> 1
> $ od -t o1 in
> 0000000 360 220 220 205 012
> 0000005
> $ cmp in out
> cmp: EOF on out which is empty

OK, so grep is simply not finding a match.

At this point it's probably time to fire up a debugger and see why 
grep's matchers are saying "no match". That would require some debugging 
expertise and time, though; do you have those available?




Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 10 Aug 2021 23:21:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 19:21:48 2021
Received: from localhost ([127.0.0.1]:32790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDb48-0003Ld-6k
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 19:21:48 -0400
Received: from mail.spocom.com ([206.63.224.240]:52048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <garyjohn@HIDDEN>) id 1mDb42-0003LL-Dr
 for 49983 <at> debbugs.gnu.org; Tue, 10 Aug 2021 19:21:46 -0400
DomainKey-Signature: a=rsa-sha1; c=nofws; q=dns; d=spocom.com; s=mail;
 h=received:date:from:to:cc:subject:message-id:references
 :mime-version:content-type:content-disposition:in-reply-to
 :x-operating-system:user-agent;
 b=t+HUa7v5XTY0Qjs0I51almLd4GmJF7lSMSlnFA1cccDWtQqWFW9Tlu7IdF3yiTykm
 sH5ssdzuN4pER6jeAgXow==
Received: from localhost (174-31-102-62.spkn.qwest.net [174.31.102.62]) by
 mail.spocom.com with SMTP; Tue, 10 Aug 2021 16:21:18 -0700
Date: Tue, 10 Aug 2021 16:21:45 -0700
From: Gary Johnson <garyjohn@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
Message-ID: <20210810232145.GC6884@phoenix>
References: <20210810155426.GA6884@phoenix>
 <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
 <20210810220920.GB6884@phoenix>
 <7d29b545-decd-2257-b704-122f38f2e566@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <7d29b545-decd-2257-b704-122f38f2e566@HIDDEN>
X-Operating-System: Linux 2.6.32-74-generic GNU/Linux
User-Agent: Mutt/1.5.20 (2009-06-14)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49983
Cc: 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2021-08-10, Paul Eggert wrote:
> Here is a shell transcript on my platform. Can you compare it to what
> happens on your platform? I am guessing that the first 'echo $?'
> outputs something different but would like to know what it is. Plus
> any other differences.
> 
> $ export LC_ALL=en_US.UTF-8
> $ s_pair=$(printf '\360\220\220\205')
> $ printf '%s\n' "$s_pair" > in
> $ src/grep --file=in in >out
> $ echo $?
> 0
> $ od -t o1 in
> 0000000 360 220 220 205 012
> 0000005
> $ cmp in out
> $ echo $?
> 0

This is a pretty drastic difference.  I don't think I missed
anything, though.

$ export LC_ALL=en_US.UTF-8
$ s_pair=$(printf '\360\220\220\205')
$ printf '%s\n' "$s_pair" > in
$ src/grep --file=in in >out
$ echo $?
1
$ od -t o1 in
0000000 360 220 220 205 012
0000005
$ cmp in out
cmp: EOF on out which is empty
$ echo $?
1

Regards,
Gary





Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 10 Aug 2021 22:48:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 18:48:12 2021
Received: from localhost ([127.0.0.1]:32776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDaXc-0002Xl-I5
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 18:48:12 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:47478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mDaXW-0002XC-Fs
 for 49983 <at> debbugs.gnu.org; Tue, 10 Aug 2021 18:48:10 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 21FA71600EF;
 Tue, 10 Aug 2021 15:48:00 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id zMyYXGSVzX6S; Tue, 10 Aug 2021 15:47:59 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 74A4B1600F1;
 Tue, 10 Aug 2021 15:47:59 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id WjZ9PnJQzwZI; Tue, 10 Aug 2021 15:47:59 -0700 (PDT)
Received: from [192.168.1.9] (cpe-172-91-119-151.socal.res.rr.com
 [172.91.119.151])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 519331600EF;
 Tue, 10 Aug 2021 15:47:59 -0700 (PDT)
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
To: Gary Johnson <garyjohn@HIDDEN>
References: <20210810155426.GA6884@phoenix>
 <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
 <20210810220920.GB6884@phoenix>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <7d29b545-decd-2257-b704-122f38f2e566@HIDDEN>
Date: Tue, 10 Aug 2021 15:47:59 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <20210810220920.GB6884@phoenix>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 49983
Cc: 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

Here is a shell transcript on my platform. Can you compare it to what 
happens on your platform? I am guessing that the first 'echo $?' outputs 
something different but would like to know what it is. Plus any other 
differences.

$ export LC_ALL=en_US.UTF-8
$ s_pair=$(printf '\360\220\220\205')
$ printf '%s\n' "$s_pair" > in
$ src/grep --file=in in >out
$ echo $?
0
$ od -t o1 in
0000000 360 220 220 205 012
0000005
$ cmp in out
$ echo $?
0




Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 10 Aug 2021 22:09:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 18:09:31 2021
Received: from localhost ([127.0.0.1]:60989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDZw7-0001d7-Vf
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 18:09:31 -0400
Received: from mail.spocom.com ([206.63.224.240]:49457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <garyjohn@HIDDEN>) id 1mDZw2-0001cp-L3
 for 49983 <at> debbugs.gnu.org; Tue, 10 Aug 2021 18:09:27 -0400
DomainKey-Signature: a=rsa-sha1; c=nofws; q=dns; d=spocom.com; s=mail;
 h=received:date:from:to:cc:subject:message-id:references
 :mime-version:content-type:content-disposition:in-reply-to
 :x-operating-system:user-agent;
 b=0gRuSo/UAL/6w5b8LKv2Pc1mTI/C02ZoOp1mnZfoV/YGwAyYs54lINvwVfCrMnJpM
 x6vdVpeKgzF4esD6oxsJg==
Received: from localhost (174-31-102-62.spkn.qwest.net [174.31.102.62]) by
 mail.spocom.com with SMTP; Tue, 10 Aug 2021 15:08:53 -0700
Date: Tue, 10 Aug 2021 15:09:20 -0700
From: Gary Johnson <garyjohn@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
Message-ID: <20210810220920.GB6884@phoenix>
References: <20210810155426.GA6884@phoenix>
 <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="jRHKVT23PllUwdXP"
Content-Disposition: inline
In-Reply-To: <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
X-Operating-System: Linux 2.6.32-74-generic GNU/Linux
User-Agent: Mutt/1.5.20 (2009-06-14)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49983
Cc: 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--jRHKVT23PllUwdXP
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On 2021-08-10, Paul Eggert wrote:
> On 8/10/21 8:54 AM, Gary Johnson wrote:
> >The log is pretty big.  Would you like it posted here?
> 
> It'd be helpful to see tests/surrogate-pair.log. If it's long perhaps
> you could compress it and attach the compressed version to your
> email.

It's not very long.  Here it is.

Regards,
Gary

--jRHKVT23PllUwdXP
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="surrogate-pair.log"
Content-Transfer-Encoding: quoted-printable

++ initial_cwd_=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests gt-surr=
ogate-pair.XXXX
+++ case $# in
+++ destdir_=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests
+++ template_=3Dgt-surrogate-pair.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ destdir_slash_=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-surrogate=
-pair.7GfF
+++ case $d in
+++ :
+++ test -d /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-surro=
gate-pair.7GfF
++++ ls -dgo /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-surr=
ogate-pair.7GfF
+++ perms=3D'drwx------+ 1 0 Aug  9 16:24 /usr/local/src/grep-3.6.27-20b4/g=
rep-3.6.27-20b4/tests/gt-surrogate-pair.7GfF'
+++ case $perms in
+++ :
+++ echo /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-surrogat=
e-pair.7GfF
+++ return
++ test_dir_=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-su=
rrogate-pair.7GfF
++ cd /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-surrogate-p=
air.7GfF
++ case $srcdir in
++ srcdir=3D../.
++ builddir=3D..
++ export srcdir builddir
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=3D' 0
+ path_dir_=3D../src
+ case $path_dir_ in
+ abs_path_dir_=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/..=
/src
+ case $abs_path_dir_ in
+ PATH=3D'/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/../src:/us=
r/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/src:./src:/home/320103378/bin=
/cygwin-scripts:/home/320103378/bin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin=
:/cygdrive/c/WINDOWS/CCM:/cygdrive/c/WINDOWS/system32:/cygdrive/c/WINDOWS:/=
cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/c/WINDOWS/System32/WindowsPowerS=
hell/v1.0:/cygdrive/c/WINDOWS/System32/OpenSSH:/cygdrive/c/WINDOWS/system32=
/config/systemprofile/AppData/Local/Microsoft/WindowsApps:/cygdrive/c/Progr=
am Files (x86)/Adaptiva/AdaptivaClient/bin/x32:/cygdrive/c/Program Files (x=
86)/Adaptiva/AdaptivaClient/bin/x64:/cygdrive/c/Program Files/1E/Client/Ext=
ensibility/NomadBranch:/cygdrive/c/Program Files/Git/cmd:/cygdrive/c/Users/=
320103378/AppData/Local/Programs/Python/Python39/Scripts:/cygdrive/c/Users/=
320103378/AppData/Local/Programs/Python/Python39:/cygdrive/c/Users/32010337=
8/AppData/Local/Microsoft/WindowsApps:/usr/lib/lapack:/home/320103378/bin/s=
cripts:/usr/local/src/git-toolbelt/git-toolbelt:/cygdrive/c/Keil_v5/ARM/ARM=
CC/bin'
+ create_exe_shims_ /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/=
=2E./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=3D' 0
+ path_dir_=3D.
+ case $path_dir_ in
+ abs_path_dir_=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/.
+ case $abs_path_dir_ in
+ PATH=3D'/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/.:/usr/loc=
al/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/../src:/usr/local/src/grep-3=
=2E6.27-20b4/grep-3.6.27-20b4/src:./src:/home/320103378/bin/cygwin-scripts:=
/home/320103378/bin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/cygdrive/c/WIN=
DOWS/CCM:/cygdrive/c/WINDOWS/system32:/cygdrive/c/WINDOWS:/cygdrive/c/WINDO=
WS/System32/Wbem:/cygdrive/c/WINDOWS/System32/WindowsPowerShell/v1.0:/cygdr=
ive/c/WINDOWS/System32/OpenSSH:/cygdrive/c/WINDOWS/system32/config/systempr=
ofile/AppData/Local/Microsoft/WindowsApps:/cygdrive/c/Program Files (x86)/A=
daptiva/AdaptivaClient/bin/x32:/cygdrive/c/Program Files (x86)/Adaptiva/Ada=
ptivaClient/bin/x64:/cygdrive/c/Program Files/1E/Client/Extensibility/Nomad=
Branch:/cygdrive/c/Program Files/Git/cmd:/cygdrive/c/Users/320103378/AppDat=
a/Local/Programs/Python/Python39/Scripts:/cygdrive/c/Users/320103378/AppDat=
a/Local/Programs/Python/Python39:/cygdrive/c/Users/320103378/AppData/Local/=
Microsoft/WindowsApps:/usr/lib/lapack:/home/320103378/bin/scripts:/usr/loca=
l/src/git-toolbelt/git-toolbelt:/cygdrive/c/Keil_v5/ARM/ARMCC/bin'
+ create_exe_shims_ /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ require_compiled_in_MB_support
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=3D' 0
+ path_dir_=3D.
+ case $path_dir_ in
+ abs_path_dir_=3D/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/.
+ case $abs_path_dir_ in
+ PATH=3D'/usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/.:/usr/loc=
al/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/.:/usr/local/src/grep-3.6.27=
-20b4/grep-3.6.27-20b4/tests/../src:/usr/local/src/grep-3.6.27-20b4/grep-3.=
6.27-20b4/src:./src:/home/320103378/bin/cygwin-scripts:/home/320103378/bin:=
/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/cygdrive/c/WINDOWS/CCM:/cygdrive/c=
/WINDOWS/system32:/cygdrive/c/WINDOWS:/cygdrive/c/WINDOWS/System32/Wbem:/cy=
gdrive/c/WINDOWS/System32/WindowsPowerShell/v1.0:/cygdrive/c/WINDOWS/System=
32/OpenSSH:/cygdrive/c/WINDOWS/system32/config/systemprofile/AppData/Local/=
Microsoft/WindowsApps:/cygdrive/c/Program Files (x86)/Adaptiva/AdaptivaClie=
nt/bin/x32:/cygdrive/c/Program Files (x86)/Adaptiva/AdaptivaClient/bin/x64:=
/cygdrive/c/Program Files/1E/Client/Extensibility/NomadBranch:/cygdrive/c/P=
rogram Files/Git/cmd:/cygdrive/c/Users/320103378/AppData/Local/Programs/Pyt=
hon/Python39/Scripts:/cygdrive/c/Users/320103378/AppData/Local/Programs/Pyt=
hon/Python39:/cygdrive/c/Users/320103378/AppData/Local/Microsoft/WindowsApp=
s:/usr/lib/lapack:/home/320103378/bin/scripts:/usr/local/src/git-toolbelt/g=
it-toolbelt:/cygdrive/c/Keil_v5/ARM/ARMCC/bin'
+ create_exe_shims_ /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ printf $'\303\251'
+ LC_ALL=3Den_US.UTF-8
+ grep '[[:lower:]]'
=C3=A9
+ fail=3D0
++ printf '\360\220\220\205'
+ s_pair=3D$'\360\220\220\205'
+ printf '%s\n' $'\360\220\220\205'
+ LC_ALL=3Den_US.UTF-8
+ export LC_ALL
+ returns_ 1 grep -i anything-else in
+ compare /dev/null out
+ compare_dev_null_ /dev/null out
+ test 2 =3D 2
+ test x/dev/null =3D x/dev/null
+ test -s out
+ return 0
+ return 0
+ grep . in
++ cat out
++ cat err
+ io_pair=3D$'\360\220\220\205:'
+ case $io_pair in
+ for opt in '' -i -E -F -iE -iF
+ grep --file=3Din in
+ fail=3D1
+ compare out in
+ compare_dev_null_ out in
+ test 2 =3D 2
+ test xout =3D x/dev/null
+ test xin =3D x/dev/null
+ return 2
+ case $? in
+ compare_ out in
+ diff -u out in
--- out	2021-08-09 16:24:53.487999900 -0700
+++ in	2021-08-09 16:24:53.262666000 -0700
@@ -0,0 +1 @@
+=F0=90=90=85
+ fail=3D1
+ for opt in '' -i -E -F -iE -iF
+ grep --file=3Din -i in
+ fail=3D1
+ compare out in
+ compare_dev_null_ out in
+ test 2 =3D 2
+ test xout =3D x/dev/null
+ test xin =3D x/dev/null
+ return 2
+ case $? in
+ compare_ out in
+ diff -u out in
--- out	2021-08-09 16:24:53.597741700 -0700
+++ in	2021-08-09 16:24:53.262666000 -0700
@@ -0,0 +1 @@
+=F0=90=90=85
+ fail=3D1
+ for opt in '' -i -E -F -iE -iF
+ grep --file=3Din -E in
+ fail=3D1
+ compare out in
+ compare_dev_null_ out in
+ test 2 =3D 2
+ test xout =3D x/dev/null
+ test xin =3D x/dev/null
+ return 2
+ case $? in
+ compare_ out in
+ diff -u out in
--- out	2021-08-09 16:24:53.712401800 -0700
+++ in	2021-08-09 16:24:53.262666000 -0700
@@ -0,0 +1 @@
+=F0=90=90=85
+ fail=3D1
+ for opt in '' -i -E -F -iE -iF
+ grep --file=3Din -F in
+ fail=3D1
+ compare out in
+ compare_dev_null_ out in
+ test 2 =3D 2
+ test xout =3D x/dev/null
+ test xin =3D x/dev/null
+ return 2
+ case $? in
+ compare_ out in
+ diff -u out in
--- out	2021-08-09 16:24:53.817122300 -0700
+++ in	2021-08-09 16:24:53.262666000 -0700
@@ -0,0 +1 @@
+=F0=90=90=85
+ fail=3D1
+ for opt in '' -i -E -F -iE -iF
+ grep --file=3Din -iE in
+ fail=3D1
+ compare out in
+ compare_dev_null_ out in
+ test 2 =3D 2
+ test xout =3D x/dev/null
+ test xin =3D x/dev/null
+ return 2
+ case $? in
+ compare_ out in
+ diff -u out in
--- out	2021-08-09 16:24:53.930817900 -0700
+++ in	2021-08-09 16:24:53.262666000 -0700
@@ -0,0 +1 @@
+=F0=90=90=85
+ fail=3D1
+ for opt in '' -i -E -F -iE -iF
+ grep --file=3Din -iF in
+ fail=3D1
+ compare out in
+ compare_dev_null_ out in
+ test 2 =3D 2
+ test xout =3D x/dev/null
+ test xin =3D x/dev/null
+ return 2
+ case $? in
+ compare_ out in
+ diff -u out in
--- out	2021-08-09 16:24:54.039529300 -0700
+++ in	2021-08-09 16:24:53.262666000 -0700
@@ -0,0 +1 @@
+=F0=90=90=85
+ fail=3D1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ test '' =3D yes
+ cd /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests
+ chmod -R u+rwx /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-=
surrogate-pair.7GfF
+ rm -rf /usr/local/src/grep-3.6.27-20b4/grep-3.6.27-20b4/tests/gt-surrogat=
e-pair.7GfF
+ exit 1
FAIL surrogate-pair (exit status: 1)

--jRHKVT23PllUwdXP--





Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at 49983 <at> debbugs.gnu.org:


Received: (at 49983) by debbugs.gnu.org; 10 Aug 2021 21:25:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 17:25:57 2021
Received: from localhost ([127.0.0.1]:60957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDZG1-0000cK-8g
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 17:25:57 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mDZFy-0000c6-0P
 for 49983 <at> debbugs.gnu.org; Tue, 10 Aug 2021 17:25:55 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id A319E160051;
 Tue, 10 Aug 2021 14:25:47 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id aUGlVm0JOMbW; Tue, 10 Aug 2021 14:25:47 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 137421600AD;
 Tue, 10 Aug 2021 14:25:47 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 0Jj0Mz7SqI3k; Tue, 10 Aug 2021 14:25:46 -0700 (PDT)
Received: from [192.168.1.9] (cpe-172-91-119-151.socal.res.rr.com
 [172.91.119.151])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id E5C04160051;
 Tue, 10 Aug 2021 14:25:46 -0700 (PDT)
Subject: Re: bug#49983: grep-3.6.27-20b4 tests fail on Cygwin
To: Gary Johnson <garyjohn@HIDDEN>
References: <20210810155426.GA6884@phoenix>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <8a35d355-e6cc-c9ec-e363-008df536259d@HIDDEN>
Date: Tue, 10 Aug 2021 14:25:46 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <20210810155426.GA6884@phoenix>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 49983
Cc: 49983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

On 8/10/21 8:54 AM, Gary Johnson wrote:
> The log is pretty big.  Would you like it posted here?

It'd be helpful to see tests/surrogate-pair.log. If it's long perhaps 
you could compress it and attach the compressed version to your email.




Information forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Aug 2021 16:09:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 12:09:28 2021
Received: from localhost ([127.0.0.1]:60582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDUJk-00033t-83
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 12:09:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:51534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <garyjohn@HIDDEN>) id 1mDUJi-00033l-4Y
 for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 12:09:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52376)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <garyjohn@HIDDEN>)
 id 1mDUJh-00065h-Us
 for bug-grep@HIDDEN; Tue, 10 Aug 2021 12:09:25 -0400
Received: from mail.spocom.com ([206.63.224.240]:53296)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <garyjohn@HIDDEN>) id 1mDUJf-0004gF-Pe
 for bug-grep@HIDDEN; Tue, 10 Aug 2021 12:09:25 -0400
DomainKey-Signature: a=rsa-sha1; c=nofws; q=dns; d=spocom.com; s=mail;
 h=received:date:from:to:subject:message-id:mail-followup-to
 :mime-version:content-type:content-disposition:x-operating-system
 :user-agent;
 b=e3ixbG5ZFq8k5t/Fgjay/lv0q7QVDKKuRglmh80j3ya01NlHehp+tjTXHY7s8deXB
 z1WbK+Xmn1w4C1FghsAAw==
Received: from localhost (174-31-37-51.spkn.qwest.net [174.31.37.51]) by
 mail.spocom.com with SMTP; Tue, 10 Aug 2021 08:53:59 -0700
Date: Tue, 10 Aug 2021 08:54:26 -0700
From: Gary Johnson <garyjohn@HIDDEN>
To: bug-grep@HIDDEN
Subject: grep-3.6.27-20b4 tests fail on Cygwin
Message-ID: <20210810155426.GA6884@phoenix>
Mail-Followup-To: bug-grep@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Operating-System: Linux 2.6.32-74-generic GNU/Linux
User-Agent: Mutt/1.5.20 (2009-06-14)
Received-SPF: pass client-ip=206.63.224.240; envelope-from=garyjohn@HIDDEN;
 helo=mail.spocom.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I built grep-3.6.27-20b4 on a machine running up-to-date Cygwin
3.2.0 and Windows 10 Enterprise Version 10.0.18363 Build 18363.
Running "make check" resulted in the following summary.

    ============================================================================
    Testsuite summary for GNU grep 3.6.27-20b4
    ============================================================================
    # TOTAL: 117
    # PASS:  93
    # SKIP:  21
    # XFAIL: 2
    # FAIL:  1
    # XPASS: 0
    # ERROR: 0
    ============================================================================
    See tests/test-suite.log
    Please report to bug-grep@HIDDEN
    ============================================================================

Here is a summary of the log.

    $ grep FAIL tests/test-suite.log
    # XFAIL: 2
    # FAIL:  1
    XFAIL: equiv-classes
    XFAIL equiv-classes (exit status: 1)
    FAIL: surrogate-pair
    FAIL surrogate-pair (exit status: 1)
    XFAIL: triple-backref
    XFAIL triple-backref (exit status: 1)

    $ wc tests/test-suite.log
      3000  11841 128417 tests/test-suite.log

The log is pretty big.  Would you like it posted here?

Regards,
Gary





Acknowledgement sent to Gary Johnson <garyjohn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-grep@HIDDEN. Full text available.
Report forwarded to bug-grep@HIDDEN:
bug#49983; Package grep. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Nov 2021 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.